Module jdk.sctp
Package com.sun.nio.sctp

# Class ShutdownNotification

java.lang.Object
com.sun.nio.sctp.ShutdownNotification

All Implemented Interfaces:
  `Notification`

public abstract class ShutdownNotification extends Object implements Notification
Notification emitted when a peers shutdowns an the association.

When a peer sends a SHUTDOWN, the SCTP stack delivers this notification to inform the application that it should cease sending data.

Since:
  1.7

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ShutdownNotification()`
Initializes a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`abstract Association`
`association()`
Returns the association that this notification is applicable to.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShutdownNotification

protected ShutdownNotification()
Initializes a new instance of this class.

## Method Details

### association

public abstract Association association()
Returns the association that this notification is applicable to.

Specified by:
  `association` in interface `Notification`
Returns:
  The association that received the shutdown